org.richfaces.renderkit

## Class AbstractRowsRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AbstractRowsRenderer

- All Implemented Interfaces:
    org.richfaces.model.DataVisitor
  Direct Known Subclasses:
    DataGridRenderer, SortingFilteringRowsRenderer

      public abstract class AbstractRowsRenderer
      extends org.richfaces.renderkit.RendererBase
      implements org.richfaces.model.DataVisitor

  Author:
    Anton Belevich

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRowsRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract RowHolderBase` | `createRowHolder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object[] options)`
    `protected void` | `doCleanup(javax.faces.context.FacesContext context, RowHolderBase rowHolder)`
    `protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `encodeFakeRow(javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
    `abstract void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
    `protected void` | `encodeRows(javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
    `protected String` | `get(javax.faces.context.FacesContext context, String key)`
    `protected String` | `getColumnClass(RowHolderBase rowHolder, int columnNumber)`
    `protected String[]` | `getColumnClasses(RowHolderBase rowHolder)`
    `boolean` | `getRendersChildren()`
    `protected String` | `getRowClass(RowHolderBase rowHolder)`
    `protected String` | `getRowClassAttribute(RowHolderBase rowHolder)`
    `protected String[]` | `getRowClasses(RowHolderBase rowHolder)`
    `org.richfaces.model.DataVisitResult` | `process(javax.faces.context.FacesContext facesContext, Object rowKey, Object argument)`
    `void` | `processRows(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object[] options)`
    `protected void` | `put(javax.faces.context.FacesContext context, String key, String value)`
    `protected void` | `renderRowHandlers(javax.faces.context.FacesContext context, UIDataTableBase dataTable)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRowsRenderer

          public AbstractRowsRenderer()

  - ### Method Detail

    - #### encodeRow

          public abstract void encodeRow(javax.faces.context.ResponseWriter writer,
                       javax.faces.context.FacesContext facesContext,
                       RowHolderBase rowHolder)
                                  throws IOException

      Throws:
        `IOException`

    - #### createRowHolder

          public abstract RowHolderBase createRowHolder(javax.faces.context.FacesContext context,
                                      javax.faces.component.UIComponent component,
                                      Object[] options)

    - #### process

          public org.richfaces.model.DataVisitResult process(javax.faces.context.FacesContext facesContext,
                                                    Object rowKey,
                                                    Object argument)

      Specified by:
        `process` in interface `org.richfaces.model.DataVisitor`

    - #### encodeRows

          protected void encodeRows(javax.faces.context.FacesContext facesContext,
                        RowHolderBase rowHolder)

    - #### encodeFakeRow

          public void encodeFakeRow(javax.faces.context.FacesContext facesContext,
                           RowHolderBase rowHolder)
                             throws IOException

      Throws:
        `IOException`

    - #### renderRowHandlers

          protected void renderRowHandlers(javax.faces.context.FacesContext context,
                               UIDataTableBase dataTable)
                                    throws IOException

      Throws:
        `IOException`

    - #### processRows

          public void processRows(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         Object[] options)
                           throws IOException

      Throws:
        `IOException`

    - #### doCleanup

          protected void doCleanup(javax.faces.context.FacesContext context,
                       RowHolderBase rowHolder)
                            throws IOException

      Throws:
        `IOException`

    - #### doEncodeChildren

          protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext facesContext,
                              javax.faces.component.UIComponent component)
                                   throws IOException

      Overrides:
        `doEncodeChildren` in class `org.richfaces.renderkit.RendererBase`
      Throws:
        `IOException`

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### get

          protected String get(javax.faces.context.FacesContext context,
                   String key)

    - #### put

          protected void put(javax.faces.context.FacesContext context,
                 String key,
                 String value)

    - #### getRowClasses

          protected String[] getRowClasses(RowHolderBase rowHolder)

    - #### getColumnClasses

          protected String[] getColumnClasses(RowHolderBase rowHolder)

    - #### getColumnClass

          protected String getColumnClass(RowHolderBase rowHolder,
                              int columnNumber)

    - #### getRowClassAttribute

          protected String getRowClassAttribute(RowHolderBase rowHolder)

    - #### getRowClass

          protected String getRowClass(RowHolderBase rowHolder)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.